curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/block/rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"block": {
"view": "latest"
},
"chain": "mainnet"
}
'{
"data": {
"total_reward": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"priority_fees": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"execution_reference": {
"block": 1,
"hash": "<string>"
},
"mining": {
"recipient": {
"address": "<string>",
"is_contract": true
},
"static_block_reward": "<string>",
"uncle_inclusion_reward": "<string>"
},
"consensus_reference": {
"slot": 1,
"epoch": 1,
"block_root": "<string>"
},
"finality": "not_finalized"
}
}Offers detailed insights into the execution layer rewards for a specific block, including transaction fees and MEV (Maximal Extractable Value).
You can query using a block number, block hash, or the keywords “latest” / “finalized”.
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/block/rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"block": {
"view": "latest"
},
"chain": "mainnet"
}
'{
"data": {
"total_reward": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"priority_fees": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"execution_reference": {
"block": 1,
"hash": "<string>"
},
"mining": {
"recipient": {
"address": "<string>",
"is_contract": true
},
"static_block_reward": "<string>",
"uncle_inclusion_reward": "<string>"
},
"consensus_reference": {
"slot": 1,
"epoch": 1,
"block_root": "<string>"
},
"finality": "not_finalized"
}
}Successful response.
Response containing basic information about the block reward.
Show child attributes
Was this page helpful?